#pragma warning (disable:4949)

#include <winsock2.h>
#include <mswsock.h>
#include <Windows.h>

#include "NetBridge_Struct.h"

#pragma unmanaged

CBuffer::CBuffer( DWORD dwSize )
{
	m_emMode		= EM_NULL;
	m_pNetSocket	= NULL;
	m_dwFlag		= 0;

	//m_pData			= new BYTE[ dwSize ];
	m_pData			= NULL;

	m_dwSize		= 0;
	m_dwTotalSize	= dwSize;


	m_IsCompress	= false;
	m_IsCollect		= false;

	ZeroMemory( &m_overlapped, sizeof( m_overlapped ) );
}

CBuffer::~CBuffer()
{
	/*
	if( m_pData != NULL )
	{
	delete [] m_pData;
	}
	*/

	if( m_pData != NULL )
	{
		int a = 3;
	}
}


/*
bool	CompareDeleteTime( const CNetSocket* pScoket1 , const CNetSocket* pScoket2 )
{
	if( pScoket1->m_dwTimeToDelete > pScoket2->m_dwTimeToDelete )
		return true;
}
*/

#pragma managed